# Codelist product

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /codelist/product:
    get:
      summary: Codelist product
      deprecated: false
      description: >-
        ## Purpose and Usage


        This method is used to retrieve lists of codes and names that are
        utilized in the CPL API to identify shipping services. In this case, it
        pertains to the products (i.e., types of shipping) offered by PPL. If
        you are interested in a detailed description of the products, you can
        find it in the [PPL product terms and
        conditions](https://www.ppl.cz/documents/20122/1732429/ppl_cz_produktove_podminky.pdf/08160b07-44e6-6405-de08-98297b32f8c0).
      tags:
        - API Methods/Codelist
        - Codelist
      parameters:
        - name: Limit
          in: query
          description: ''
          required: true
          schema:
            maximum: 1000
            minimum: 1
            type: integer
            format: int32
        - name: Offset
          in: query
          description: ''
          required: true
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int32
        - name: Accept-Language
          in: header
          description: 'Language specification, default language: cs-CZ'
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/AcceptLanguageSchema'
        - name: X-Correlation-ID
          in: header
          description: Correlation Id of request
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/XCorrelationIdSchema'
        - name: X-LogLevel
          in: header
          description: The forced log level
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/XLogLevelSchema'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  x-apidog-refs:
                    01JJKQAWV9NX3CY2AAAQKYWSSY:
                      $ref: >-
                        #/components/schemas/Eps.Api.MyApi2.Web.Models.Codelist.ShipmentProductType
                      x-apidog-overrides:
                        name: &ref_1
                          type: string
                          description: >-
                            legible text (e.g. description of the type of
                            shipment, official designation of the service)
                          nullable: true
                        code: &ref_0
                          type: string
                          description: >-
                            internal service/product code (short identifier used
                            when ordering, in forms, in API)
                          nullable: true
                  x-apidog-orders:
                    - 01JJKQAWV9NX3CY2AAAQKYWSSY
                  properties:
                    code: *ref_0
                    name: *ref_1
                  x-apidog-ignore-properties:
                    - code
                    - name
          headers:
            X-Correlation-ID:
              description: Correlation Id of request otherwise id of response
              schema:
                $ref: '#/components/schemas/XCorrelationIdSchema'
            X-Paging-Total-Items-Count:
              description: Total items in result
              schema:
                $ref: '#/components/schemas/XPagingSchema'
            X-Paging-Offset:
              description: Paging offset
              schema:
                $ref: '#/components/schemas/XPagingSchema'
            X-Paging-Limit:
              description: Page size
              schema:
                $ref: '#/components/schemas/XPagingSchema'
          x-apidog-name: OK
        '400':
          description: BadRequest
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJKQEKH0B9JSPC3FYX875XCP
                x-apidog-refs:
                  01JJKQEKH0B9JSPC3FYX875XCP: &ref_2
                    $ref: >-
                      #/components/schemas/Eps.Api.Infrastructure.WebApi.Model.ProblemJsonModel
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: Bad Request
        '500':
          description: InternalServerError
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJKQF6BFZSZW7AS1NCSE6SY5
                x-apidog-refs:
                  01JJKQF6BFZSZW7AS1NCSE6SY5: *ref_2
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: Server Error
        '503':
          description: ServiceUnavailable
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJKQFGW743MSTZPSFA47F8XC
                x-apidog-refs:
                  01JJKQFGW743MSTZPSFA47F8XC: *ref_2
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: Service Unavailable
      security:
        - Bearer: []
          x-apidog:
            required: true
            schemeGroups:
              - id: BLzjxFMqhqP-F4MPAzD4E
                schemeIds:
                  - Bearer
            use:
              id: BLzjxFMqhqP-F4MPAzD4E
      x-apidog-folder: API Methods/Codelist
      x-apidog-status: released
      x-run-in-apidog: https://app.apidog.com/web/project/800807/apis/api-13601461-run
components:
  schemas:
    AcceptLanguageSchema:
      type: string
      description: Accept-Language header schema
      x-apidog-folder: ''
    XCorrelationIdSchema:
      type: string
      description: X-Correlation-ID header schema
      x-apidog-folder: ''
    XLogLevelSchema:
      enum:
        - Trace
        - Debug
        - Information
        - Warning
        - Error
        - Critical
      type: string
      description: X-LogLevel header schema
      x-apidog-folder: ''
    Eps.Api.MyApi2.Web.Models.Codelist.ShipmentProductType:
      type: object
      properties:
        code:
          type: string
          description: Code
          nullable: true
        name:
          type: string
          description: Name
          nullable: true
      additionalProperties: false
      description: ShipmentProductType
      x-apidog-orders:
        - code
        - name
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    Eps.Api.Infrastructure.WebApi.Model.ProblemJsonModel:
      type: object
      properties:
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          x-apidog-orders: []
          properties: {}
          x-apidog-ignore-properties: []
          nullable: true
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties:
        type: string
      x-apidog-orders:
        - errors
        - type
        - title
        - status
        - detail
        - instance
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
  securitySchemes:
    oauth2:
      type: apikey
      description: Get access token from authentication server.
      name: Authorization
      in: header
    Bearer:
      type: jwt
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      scheme: bearer
      bearerFormat: JWT
servers: []
security:
  - Bearer: []
    x-apidog:
      schemeGroups:
        - id: Y1Pl_6gJhwt22zSpU8-70
          schemeIds:
            - Bearer
      required: true
      use:
        id: Y1Pl_6gJhwt22zSpU8-70
      scopes:
        Y1Pl_6gJhwt22zSpU8-70:
          Bearer: []

```
